Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Updating a SAP Key Version

search

Please Note:

Updating a SAP Key Version

Use the patch /v1/cckm/sap/keys/{id}/versions/{versionID} API to enable or disable a key version and modify the allowed key operations on it. Specify the key ID and the version ID.

Syntax

curl -k '<IP>/api/v1/cckm/sap/keys/{id}/versions/{versionID}' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} is the resource ID of the key ID and {versionID} is the resource ID of the key version.

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthentication token.
enabledbooleanWhether to enable the key version. Set to true to enable the version, set to false to disable the version. By default, the version is disabled.
operationsarray of stringsCryptographic operations allowed on the key version. Possible values are:
• ENCRYPT
• DECRYPT
• SIGN
• VERIFY
• WRAP
• UNWRAP

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/keys/c0bddfde-068a-4aa9-8330-0737d98a92bb/versions/d1679f07-38e0-4521-911c-90118e9497c4' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI3ZjRlNmJkNi0wMzgzLTQ4MGMtYWZmZS0wYTQxNDgzZmVlNmUiLCJzdWIiOiJsb2NhbHxlNjM3NTVjOS01YzRhLTQ0NzUtOWI0Zi0wN2JjNzQxYjQ1MGEiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiOWMxMjQyOTQtMmM1Mi00ZmJmLWExNWEtMGZlNzkxZmI4YzNlIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImMwNjJhNmE1LTg1NDQtNDRjMS05ZDMwLTZjZDZkYTdkY2Y3OSIsImlhdCI6MTYzNDU1NjYwMywiZXhwIjoxNjM0NTU2OTAzfQ.lcFZLheFbNnNR3VvQAigSe6u6BL4_NOEAwkNQROn0Bs' -H 'Content-Type: application/json' --data-binary $'{\n  "enabled": false,\n  "operations": []\n}' --compressed

Example Response

{
    "id": "35c862a0-68cb-4e4a-8d5f-e705721c9ba7",
    "uri": "kylo:kylo:cckm:sap-key-version:35c862a0-68cb-4e4a-8d5f-e705721c9ba7",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2023-01-31T09:13:11.40824Z",
    "updatedAt": "2023-02-01T05:44:34.916032Z",
    "tenant": "thales-preprod",
    "group_id": "c838f874-3bf2-41d5-88c2-b5f5bf8094a8",
    "sap_key_id": "c0bddfde-068a-4aa9-8330-0737d98a92bb",
    "origin": "unknown",
    "refreshed_at": "2023-01-31T09:13:11.396428Z",
    "enabled": true,
    "operations": [
        "DECRYPT",
        "ENCRYPT",
        "SIGN",
        "VERIFY"
    ],
    "version": 0,
    "meta": {
        "created": "2022-10-21T04:49:39Z",
        "creatorId": "171cdee5-947e-4bcd-ae0b-562256624904",
        "creatorName": "creator.name@xyz.com"
    }
}

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.